#
# spec file for package asl
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           asl
Version:        1.42_bld115
Release:        lp150.2.1
Summary:        Macro Assembler AS
License:        GPL-2.0-or-later
Group:          Development/Languages/Other
URL:            http://john.ccac.rwth-aachen.de:8000/as/
Source:         http://john.ccac.rwth-aachen.de:8000/ftp/as/source/c_version/asl-current-142-bld115.tar.bz2
Patch0:         asl-buildfixes.patch
Patch2:         asl-ppc64.patch
BuildRequires:  gcc-c++
BuildRequires:  texlive-latex
%if 0%{?suse_version} > 1220
BuildRequires:  texlive-amsfonts
BuildRequires:  texlive-cm
BuildRequires:  texlive-cm-super
BuildRequires:  texlive-dvips
BuildRequires:  texlive-makeindex
BuildRequires:  texlive-pdftex
BuildRequires:  tex(german.sty)
%endif

%description
AS is a portable macro cross-assembler for a variety of microprocessors
and controllers. Although it is mainly targeted at embedded processors
and single-board computers, you also find CPU families that are used in
workstations and PCs in the target list.

%package doc
Summary:        Documentation for the AS macro assembler
Group:          Documentation/Other

%description doc
AS is a portable macro cross-assembler for a variety of microprocessors
and controllers. This package contains the documentation for it.

%prep
%setup -q -n asl-current
%patch0 -p1
%patch2 -p1

%build
make CC="gcc" LD="gcc" CFLAGS="%{optflags} -fno-strict-aliasing" all docs

%check
make test

%install
make install PREFIX=%{buildroot}

%files doc
%doc README.LANGS BENCHES
%doc doc/as-EN.txt doc/as-EN.html doc/as-EN.ps doc/as-EN.dvi
%doc doc/as-DE.txt doc/as-DE.html doc/as-DE.ps doc/as-DE.dvi

%files
%license COPYING
%doc README TODO
%{_bindir}/asl
%{_bindir}/alink
%{_bindir}/p2bin
%{_bindir}/p2hex
%{_bindir}/pbind
%{_bindir}/plist
%dir %{_includedir}/asl
%{_includedir}/asl/80c50x.inc
%{_includedir}/asl/80c552.inc
%{_includedir}/asl/bitfuncs.inc
%{_includedir}/asl/ctype.inc
%{_includedir}/asl/h8_3048.inc
%{_includedir}/asl/reg166.inc
%{_includedir}/asl/reg251.inc
%{_includedir}/asl/reg29k.inc
%{_includedir}/asl/reg53x.inc
%{_includedir}/asl/reg683xx.inc
%{_includedir}/asl/reg7000.inc
%{_includedir}/asl/reg78k0.inc
%{_includedir}/asl/reg96.inc
%{_includedir}/asl/regace.inc
%{_includedir}/asl/regavr.inc
%{_includedir}/asl/regcop8.inc
%{_includedir}/asl/reggp32.inc
%{_includedir}/asl/reghc08jb.inc
%{_includedir}/asl/reghc08q.inc
%{_includedir}/asl/reghc12.inc
%{_includedir}/asl/regm16c.inc
%{_includedir}/asl/regmsp.inc
%{_includedir}/asl/regst9.inc
%{_includedir}/asl/regz380.inc
%{_includedir}/asl/stddef04.inc
%{_includedir}/asl/stddef16.inc
%{_includedir}/asl/stddef17.inc
%{_includedir}/asl/stddef18.inc
%{_includedir}/asl/stddef2x.inc
%{_includedir}/asl/stddef37.inc
%{_includedir}/asl/stddef3x.inc
%{_includedir}/asl/stddef47.inc
%{_includedir}/asl/stddef51.inc
%{_includedir}/asl/stddef56k.inc
%{_includedir}/asl/stddef5x.inc
%{_includedir}/asl/stddef60.inc
%{_includedir}/asl/stddef62.inc
%{_includedir}/asl/stddef75.inc
%{_includedir}/asl/stddef87.inc
%{_includedir}/asl/stddef90.inc
%{_includedir}/asl/stddef96.inc
%{_includedir}/asl/stddefxa.inc
%{_includedir}/asl/stddefz8.inc
%{_includedir}/asl/reg6303.inc
%{_includedir}/asl/reg78310.inc
%{_includedir}/asl/stddef4x.inc
%dir %{_libexecdir}/asl
%{_libexecdir}/asl/as.msg
%{_libexecdir}/asl/alink.msg
%{_libexecdir}/asl/cmdarg.msg
%{_libexecdir}/asl/ioerrs.msg
%{_libexecdir}/asl/p2bin.msg
%{_libexecdir}/asl/p2hex.msg
%{_libexecdir}/asl/pbind.msg
%{_libexecdir}/asl/plist.msg
%{_libexecdir}/asl/tools.msg
%{_mandir}/man1/asl.1%{ext_man}
%{_mandir}/man1/p2bin.1%{ext_man}
%{_mandir}/man1/p2hex.1%{ext_man}
%{_mandir}/man1/pbind.1%{ext_man}
%{_mandir}/man1/plist.1%{ext_man}
%{_mandir}/man1/alink.1%{ext_man}

%changelog
* Thu Mar  8 2018 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
* Wed Mar  7 2018 crrodriguez@opensuse.org
- remove unused buildrequires on xorg-x11-* and libpng
* Sun Oct  8 2017 stefan.bruens@rwth-aachen.de
- Drop asl-aarch64.patch, as upstream headers already contain valid
  defines for aarch64 (LP64)
* Wed May 10 2017 cloud-devel@suse.de
- Update to version 1.42_bld115
- Drop upsteam asl-sle10-compilefix.patch
- Rebase partially upstream asl-buildfixes.patch
* Fri May 15 2015 mpluskal@suse.com
- Clenaup spec file with spec-cleaner
* Tue Jun 11 2013 schwab@suse.de
- asl-aarch64.patch: Add sysdefs bits for aarch64
* Mon Jul 23 2012 werner@suse.de
- Add some TeX fonts and theris mappings
* Tue Jul 10 2012 werner@suse.de
- Make it build with latest TeXLive 2012 with new package layout
* Thu Mar 15 2012 dvaleev@suse.com
- fix ppc64 build
* Wed Oct  5 2011 uli@suse.com
- cross-build fix: use %%__cc macro
* Tue Apr  5 2011 jreuter@novell.com
- Fix build on SLE_10
* Wed Mar 30 2011 jreuter@novell.com
- Split off documentation to asl-doc package
* Wed Mar 30 2011 jreuter@novell.com
- Don't strip binaries, again
* Wed Mar 30 2011 jreuter@novell.com
- Change of version scheme to include revision tags
- Update to rev 1.12
  * add LaticeMico8, XGATE, 2650, COP4, RS08, Atari Vector
  * correct length check on KCPSM3 registers
  * add named temporary symbols
  * further strcpy() fixes
- Consolidate patches
* Tue Mar 29 2011 jreuter@novell.com
- Replace strcpy() of overlapping strings with memmove() (bnc#683199)
- Refactor hppa patch for zero fuzziness
* Fri Jun 18 2010 bg@novell.com
- add sysdefs for hppa linux to fix build
* Fri Apr 20 2007 aj@suse.de
- Use RPM_OPT_FLAGS everywhere.
- Fix compiler warning.
- Use texlive for building.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 schwab@suse.de
- Don't strip binaries.
* Wed Oct  5 2005 dmueller@suse.de
- add norootforbuild
* Mon Apr  4 2005 jreuter@suse.de
- fix for gcc4 compilation errors in code3254x.c
- upgrade to version 1.42-bld35:
  - added ATM & LDWX instructions for Zilog eZ8
  - added KCPSM3 core
* Thu Feb 10 2005 jreuter@suse.de
- fix for "comparison is always true" warning in code78k2.c
- upgrade to version 1.42-bld34:
  - correct erroneous detection of DUP operator inside string/character
    constants
  - correct operation of INHX... modes in P2HEX
  - setting of entry address in P2BIN did not work
  - fox crashes when programs defined more than 256 bytes of code in one line
* Thu Feb 10 2005 ro@suse.de
- added libpng to neededforbuild (for tetex)
* Tue May 18 2004 jreuter@suse.de
- upgrade to version 1.42-bld31
* Sun Apr 25 2004 ro@suse.de
- added no-strict-aliasing
* Tue Oct 14 2003 uli@suse.de
- fixed to build on s390x
* Thu Jun 12 2003 ro@suse.de
- added directories to filelist
* Thu Jan 23 2003 meissner@suse.de
- buildrooted, use RPM_OPT_FLAGS, ppc64 support added.
* Thu Dec  5 2002 jreuter@suse.de
- upgrade to version 1.42-bld23
* Fri Aug 16 2002 ro@suse.de
- removed empty postin (#17797)
* Fri May 31 2002 ro@suse.de
- build on x86_64
* Tue Jan 29 2002 jreuter@suse.de
- upgrade to version 1.42-bld19
* Wed Nov  7 2001 jreuter@suse.de
- upgrade to version 1.42-bld17
- added ABUILD_RUN_TEST_SUITES to spec file
* Mon Jun 25 2001 jreuter@suse.de
- upgrade to version 1.42-bld13
- compiles on s390x now
* Thu Mar  8 2001 uli@suse.de
- added xf86 to neededforbuild
* Tue Oct 31 2000 jreuter@suse.de
- it's GPLed now!
* Thu Aug 10 2000 jreuter@suse.de
- Initial RPM for SuSE
